from datetime import datetime
from typing import Optional

from core.database.abc.db_model_abc import DbModelABC
from core.typing import Id, SerialId


class DbJoinModelABC(DbModelABC):
    def __init__(
        self,
        id: Id,
        source_id: Id,
        foreign_id: Id,
        deleted: bool = False,
        editor_id: Optional[SerialId] = None,
        created: Optional[datetime] = None,
        updated: Optional[datetime] = None,
    ):
        DbModelABC.__init__(self, id, deleted, editor_id, created, updated)
